<template>
  <div class="contol-btn__wrapper">


    <smart-button label="Test" @click="redirectToOffer('test')"/>
    <smart-button label="PlanetLearn" @click="redirectToOffer('PlanetLearn')" />
    <smart-button label="SmartStudy" @click="redirectToOffer('SmartStudy')"/>  

  </div>
   
</template>

<script>
import { mapGetters } from 'vuex';
import SmartButton from '../components/SmartButton.vue';

export default {
    name: 'IndexPage',
    components: { SmartButton },
    data(){
        return {
            coockies: null
        }
    },
    computed: {
        ...mapGetters({
            // abtest: 'ABTest/getDesignType',
        }),
    },

    mounted() {
        this.coockies = document.cookie.split(';');         
    },
    methods: {
        redirectToOffer(abtestParam) {
            if (abtestParam === 'test') {
                const randomValue = Math.random() < 0.5 ? 'PlanetLearn' : 'SmartStudy';
                document.cookie = `ABTest=${randomValue}`;
            } else {
                document.cookie = `ABTest=${abtestParam}`;
            }
            // Redirect to offer page with relevant param 
            this.$router.push({ path: '/offer', query: { abtest: abtestParam }});
        },
    },
   
}
</script>

<style lang="scss" scoped>
.contol-btn__wrapper{    
    margin: 0 auto;
    width: 200px;
    display: flex;
    gap: 10px;
    align-items: flex-end;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: column;
}
</style>